branch_target {git2r} | R Documentation

## Get target (sha) pointed to by a branch

### Description

Get target (sha) pointed to by a branch

### Usage

    branch_target(branch = NULL)

### Arguments

`branch` | The branch

### Value

sha or NA if not a direct reference

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Config user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")
    writeLines("Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do",
               file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Get target (sha) pointed to by 'master' branch
    branch_target(repository_head(repo))

    ## End(Not run)

[Package git2r version 0.23.0 Index]